---
title: "GET stores"
url: "https://developer.retailexpress.com.au/apis/public-api-0/versions/d2454f6f-56f1-4fd6-9cd1-82871d94bd1c/paths/stores/get"
---

> Full API specification: https://developer.retailexpress.com.au/apis/public-api-0/versions/d2454f6f-56f1-4fd6-9cd1-82871d94bd1c.md

# /stores

`GET` `/stores`

## Query parameters

- `page_size` (string, optional)
- `page_number` (string, optional)
- `modified_since` (string, optional)

## Header parameters

- `x-api-key` (string, required)

## Responses

- `200` - 200 response
- `400` - 400 response
- `403` - 403 response
- `429` - 429 response

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: PublicApi
  version: 0.1.0
servers:
  - url: https://api.retailexpress.com.au/{basePath}
    variables:
      basePath:
        default: v1
paths:
  /stores:
    get:
      parameters:
        - name: page_size
          in: query
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
        - name: page_number
          in: query
          schema:
            type: string
        - name: modified_since
          in: query
          schema:
            type: string
      responses:
        "200":
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/StoreListResponse"
        "400":
          description: 400 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
        "403":
          description: 403 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
        "429":
          description: 429 response
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
      security:
        - api_key: []
security:
  - api_key: []
components:
  schemas:
    StoreListResponse:
      title: Store List Response
      type: object
      properties:
        page_number:
          $ref: "#/components/schemas/PageNumber"
        stores:
          type: array
          description: A list of stores
          items:
            $ref: "#/components/schemas/Store"
        total_records:
          $ref: "#/components/schemas/TotalRecords"
        total_pages:
          $ref: "#/components/schemas/TotalPages"
        page_size:
          $ref: "#/components/schemas/PageSize"
    PageNumber:
      title: Page Number
      type: integer
      description: The current page number
    Store:
      type: object
      properties:
        country:
          title: Country
          type: string
          description: The country of the address
        last_modified_on:
          $ref: "#/components/schemas/LastModifiedOn"
        email_address:
          title: Email Address
          type: string
          description: The email address of the store
        post_code:
          title: Postcode
          type: string
          description: The postcode of the address
        external_reference:
          title: External Reference
          type: string
          description: An external reference given to the store for external systems
        timezone_id:
          title: Timezone Identifier
          type: string
          description: The timezone identifier for the store
        address_line_1:
          title: Address Line 1
          type: string
          description: The first line of the address
        name:
          title: Name
          type: string
          description: The name of the store
        suburb:
          title: Suburb
          type: string
          description: The suburb of the address
        phone_number:
          title: Phone Number
          type: string
          description: The phone number of the store
        address_line_2:
          title: Address Line 2
          type: string
          description: The second line of the address
        state:
          title: State
          type: string
          description: The state of the address
        id:
          title: ID
          type: string
          description: The ID of the store
      description: A retail store/outlet
    TotalRecords:
      title: Total Record Count
      type: integer
      description: The total number of records in your query
    TotalPages:
      title: Total Page Count
      type: integer
      description: The total number of pages in your query
    PageSize:
      title: Page Size
      type: integer
      description: The maximum number of records in a single page
    LastModifiedOn:
      title: Last Modified On
      type: string
      description: The date and time the record was last modified
      format: date-time
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header
      x-amazon-apigateway-authtype: custom
```
